xine-lib: xine-lib-1.2.13/src/post/planar/invert.c File Reference

xine-lib 1.2.13-20230125hg15249

Functions
invert.c File Reference
`#include "planar.h"`
`#include <xine/xine_internal.h>`
`#include <xine/post.h>`

## Functions
static void | invert_dispose (post_plugin_t *this)
static int | invert_intercept_frame (post_video_port_t *port, vo_frame_t *frame)
static int | invert_draw (vo_frame_t *frame, xine_stream_t *stream)
static post_plugin_t * | invert_open_plugin (post_class_t *class_gen, int inputs, xine_audio_port_t **audio_target, xine_video_port_t **video_target)
void * | invert_init_plugin (xine_t *xine, const void *data)

## Function Documentation

## ◆ invert_dispose()

static void invert_dispose | ( | post_plugin_t * | this | ) |
| static

References _x_post_dispose().

Referenced by invert_open_plugin().

## ◆ invert_draw()

static int invert_draw | ( | vo_frame_t * | frame,
|  | xine_stream_t * | stream )
| static

References _x_post_frame_copy_down(), _x_post_frame_copy_up(), vo_frame_s::bad_frame, vo_frame_s::base, vo_frame_s::draw, vo_frame_s::flags, vo_frame_s::format, vo_frame_s::free, xine_video_port_s::get_frame, vo_frame_s::height, vo_frame_s::next, post_video_port_s::original_port, vo_frame_s::pitches, vo_frame_s::port, vo_frame_s::ratio, VO_BOTH_FIELDS, vo_frame_s::width, XINE_IMGFMT_NV12, XINE_IMGFMT_YUY2, and XINE_IMGFMT_YV12.

Referenced by invert_open_plugin().

## ◆ invert_init_plugin()

void * invert_init_plugin | ( | xine_t * | xine,
|  | const void * | data )

References post_plugin_s::dispose, invert_open_plugin(), N_, NULL, and post_class_s::open_plugin.

## ◆ invert_intercept_frame()

static int invert_intercept_frame | ( | post_video_port_t * | port,
|  | vo_frame_t * | frame )
| static

References vo_frame_s::format, XINE_IMGFMT_NV12, XINE_IMGFMT_YUY2, and XINE_IMGFMT_YV12.

Referenced by invert_open_plugin().

## ◆ invert_open_plugin()

static post_plugin_t * invert_open_plugin | ( | post_class_t * | class_gen,
|  | int | inputs,
|  | xine_audio_port_t ** | audio_target,
|  | xine_video_port_t ** | video_target )
| static

References _x_post_init(), _x_post_intercept_video_port(), vo_frame_s::draw, input(), post_video_port_s::intercept_frame, invert_dispose(), invert_draw(), invert_intercept_frame(), xine_post_out_s::name, post_video_port_s::new_frame, post_video_port_s::new_port, NULL, and post_out_s::xine_out.

Referenced by invert_init_plugin().